Bug 128311 - Language files not properly colored, misc spec fixes
Language files not properly colored, misc spec fixes
Product: Fedora
Classification: Fedora
Component: bluez-pin (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2004-07-21 13:19 EDT by Matthias Saou
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-28 04:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Spec file fixes (2.08 KB, patch)
2004-07-21 13:19 EDT, Matthias Saou
no flags Details | Diff

  None (edit)
Description Matthias Saou 2004-07-21 13:19:17 EDT
Description of problem:
The language files (LC_MESSAGES) aren't properly colored with the
%lang attribute in the package. This is usually done with the
%find_lang macro in the %install section, which isn't used here.

Version-Release number of selected component (if applicable):

There are also other minor problems in the current spec file :
- Unnecessary $RPM_BUILD_ROOT removal in %prep
- Usage of "Copyright:" instead of the preferred "Licence:" tag
- Wrong gtk+/glib build dependency which should be gtk2/glib2
- Missing build depndencies, like bluez-libs-devel, which is important
- Hard coded /usr and /etc paths

Attached is a patch to the current Fedora Core Development spec file
to fix all these.
Comment 1 Matthias Saou 2004-07-21 13:19:58 EDT
Created attachment 102112 [details]
Spec file fixes
Comment 2 Bob Gustafson 2004-07-22 15:44:50 EDT
Hopefully this will be fixed too

[root@hoho2 root]# yum --exclude=\*debuginfo\* update blue\*
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - Development Tree
Finding updated packages
Downloading needed headers
Resolving dependencies
.Package gnome-bluetooth needs libsdp.so.2, this is not available.
Package libbtctl needs libsdp.so.2, this is not available.
[root@hoho2 root]#
Comment 3 Warren Togami 2004-08-28 04:59:57 EDT
Should be in rawhide soon.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.